#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kirigami-addons
Version:        0.8.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        LGPLv3
Summary:        Add-ons for the Kirigami framework
Url:            https://invent.kde.org/libraries/kirigami-addons
Source:         https://download.kde.org/stable/kirigami-addons/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Kirigami2)

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5QuickControls2)

%description
A set of "widgets" i.e visual end user components along with a
code to support them. Components are usable by both touch and
desktop experiences providing a native experience on both, and
look native with any QQC2 style (qqc2-desktop-theme, Material
or Plasma).

%files -f %{name}.lang
%doc README.md
%license LICENSES/
%{_kf5_qmldir}/org/kde/kirigamiaddons/

#--------------------------------------------------------------------

%define libkirigamiaddons_dev %mklibname kf5kirigamiaddons -d

%package -n     %{libkirigamiaddons_dev}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kf5kirigamiaddons-devel = %{version}-%{release}

%description -n %{libkirigamiaddons_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libkirigamiaddons_dev}
%{_kf5_libdir}/cmake/KF5KirigamiAddons/

#--------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf5 -DBUILD_QCH=ON
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Fri May 26 2023 daviddavid <daviddavid> 0.8.0-1.mga9
+ Revision: 1958536
- new version: 0.8.0

* Wed Mar 08 2023 daviddavid <daviddavid> 0.7.2-1.mga9
+ Revision: 1948411
- new version: 0.7.2

* Sat Mar 04 2023 daviddavid <daviddavid> 0.7.1-1.mga9
+ Revision: 1947038
- New version 0.7.1

* Sun Jan 29 2023 daviddavid <daviddavid> 0.7.0-1.mga9
+ Revision: 1936905
- new version: 0.7.0

* Mon Jan 09 2023 daviddavid <daviddavid> 0.6.2-1.mga9
+ Revision: 1931915
- New version 0.6.2

* Tue Dec 13 2022 daviddavid <daviddavid> 0.6.1-1.mga9
+ Revision: 1921466
- new version: 0.6.1

* Fri Dec 02 2022 daviddavid <daviddavid> 0.6-1.mga9
+ Revision: 1913966
- initial package kirigami-addons

